<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:exsl="http://exslt.org/common" extension-element-prefixes="exsl">
<xsl:output omit-xml-declaration="yes" media-type="image/svg+xml" doctype-public="-//W3C//DTD SVG 20010904//EN" doctype-system="http://www.w3.org/TR/2001/REC-SVG-20010904/DTD/svg10.dtd" standalone="no" indent="no" method="xml"/>

<xsl:template name="break" match="/article/para">
 <xsl:param name="text" select="."/>
 <xsl:choose>
   <xsl:when test="contains($text, '&#xA;')">
     <flowPara xmlns="http://www.w3.org/2000/svg"><xsl:value-of select="substring-before($text, '&#xA;')"/></flowPara>
     <xsl:call-template name="break">
       <xsl:with-param name="text" select="substring-after($text,'&#xA;')"/>
     </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
     <flowPara xmlns="http://www.w3.org/2000/svg"><xsl:value-of select="$text"/></flowPara>
   </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template match="/">
<svg
   xmlns:dc="http://purl.org/dc/elements/1.1/"
   xmlns:cc="http://web.resource.org/cc/"
   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
   xmlns:svg="http://www.w3.org/2000/svg"
   xmlns="http://www.w3.org/2000/svg"
   xmlns:xlink="http://www.w3.org/1999/xlink"
   xmlns:sodipodi="http://inkscape.sourceforge.net/DTD/sodipodi-0.dtd"
   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
   version="1.0"
   x="0"
   y="0"
   width="1125"
   height="843.75"
   id="svg602"
   xml:space="preserve"
   sodipodi:version="0.32"
   inkscape:version="0.42.2"
   sodipodi:docname="59c26752d96d6114178c20031f261347.svg"
   sodipodi:docbase="/home/skinkie"><metadata
   id="metadata21"><rdf:RDF><cc:Work
       rdf:about=""><dc:format>image/svg+xml</dc:format><dc:type
         rdf:resource="http://purl.org/dc/dcmitype/StillImage" /></cc:Work></rdf:RDF></metadata><defs
   id="defs19" /><sodipodi:namedview
   inkscape:window-height="959"
   inkscape:window-width="1268"
   inkscape:pageshadow="2"
   inkscape:pageopacity="0.0"
   borderopacity="1.0"
   bordercolor="#666666"
   pagecolor="#ffffff"
   id="base"
   inkscape:zoom="0.58831284"
   inkscape:cx="952.24836"
   inkscape:cy="599.80485"
   inkscape:window-x="0"
   inkscape:window-y="40"
   inkscape:current-layer="svg602" />
  <path d="M 37.5 -163.6575 L 37.5 -163.6575 L 37.5 898.8418 L 325 898.8418 C 449.0157 739.3936 320.9645 -110.5079 37.5 -163.6575 z " style="fill:#ffffff;fill-rule:evenodd;stroke-width:1.089693;" id="path775" />
  <path d="M 37.5 898.8418 L 37.5 -163.6575 C 350 -138.6575 512.5 1261.342 37.5 898.8418 z" style="fill:#ff7300;fill-rule:evenodd;" id="path620" />
  <xsl:if test="/article/category/img/src != ''">
    <xsl:variable name="src" select="/article/category/img/src" />
    <xsl:variable name="x" select="/article/category/img/x" />
    <xsl:variable name="y" select="/article/category/img/y" />
    <xsl:variable name="width" select="/article/category/img/width" />
    <xsl:variable name="height" select="/article/category/img/height" />
    <image xlink:href="{$src}" x="{$x}" y="{$y}" width="{$width}" height="{$height}" id="image1231" preserveAspectRatio="none" />
  </xsl:if>   
   
  <path d="M 37.5 -163.6575 L 1162.5 -168.4089 L 1162.5 898.8418 L 325 898.8418 C 449.0157 739.3936 320.9645 -110.5079 37.5 -163.6575 z " style="fill:#063b71;fill-rule:evenodd;stroke-width:1.089693;fill-opacity:1.0000000" id="path621" />
  <path d="M 332.9625 780.2394 L 755.7749 780.2394 L 755.7749 759.9894 C 755.7749 747.4894 755.7749 734.9894 780.7749 734.9894 L 929.5612 735.0627 C 954.5612 735.0627 954.5612 747.5627 954.5612 760.0627 L 954.5612 780.3127 L 1130.776 780.2394 L 1130.776 897.4888 L 293.275 897.4888 C 312.3375 872.9888 325.4625 832.1147 332.9625 780.2394 z " style="fill:#ff7300;fill-rule:evenodd;" id="path773" />
  <text x="854.77496" y="773.75" style="font-size:38.000000px;font-weight:bold;text-anchor:middle;fill:#ffffff;font-family:Syntax" id="category" xml:space="preserve"><xsl:value-of select="/article/category/title" /></text>

  <text x="309" y="136.75" style="font-size:42.000000px;font-weight:bold;fill:#ee8c1d;font-family:Syntax" id="title" xml:space="preserve"><xsl:value-of select="/article/title" /></text>

  <ellipse cx="333.215424" cy="906.850403" rx="91.9814758" ry="124.015808" transform="matrix(1.292072,0,0,1.01488,-227.3336,-191.1417)" style="fill:#063b71;fill-rule:evenodd;stroke:#ffffff;stroke-width:17.884;" id="path614" />
  
  <path d="M 275.75 898.8125 L 325 898.8125 C 435.6875 756.5 345.5625 64.3125 123.4375 -120.6875 C 308.625 52.6875 406.9375 698.5 275.75 898.8125 z " style="fill:#ffffff;fill-rule:evenodd;stroke-width:1.089693;" id="path1245" />
  <g transform="matrix(0.207246,-7.543091e-2,7.543091e-2,0.207246,52.40055,673.1253)" id="g730">
    <path d="M 248.0315 258.6614 L 248.0315 435.8268 C 248.0315 503.1496 354.3307 503.1496 354.3307 435.8268 L 354.3307 258.6614 C 354.3307 191.3386 248.0315 191.3386 248.0315 258.6614 z " style="fill:#ee8c1d;fill-rule:evenodd;stroke-width:1;" id="path731" />
    <path d="M 283.4646 527.9528 L 283.4646 552.7559 L 242.0784 565.6838 L 241.6581 581.2339 L 360.5959 582.4948 L 360.5959 566.1041 L 318.8976 552.7559 L 318.8976 527.9528 C 343.7008 527.9528 393.3071 496.063 393.3071 439.3701 L 393.3071 382.6772 L 396.8504 379.1338 L 396.8504 318.8976 L 372.0472 318.8976 L 372.0472 439.3701 C 372.0472 527.9528 230.3149 531.4961 230.315 439.3701 L 230.315 318.8976 L 205.5118 318.8976 L 205.5118 379.1338 L 209.0551 382.6772 L 209.0551 439.3701 C 209.0551 496.063 258.6614 527.9528 283.4646 527.9528 z "
   style="fill:#ee8c1d;fill-rule:evenodd;stroke-width:1;" id="path732" />
  </g>
  <text x="143.34581" y="903.25354" transform="scale(0.81225,0.81225)" style="font-size:36;font-weight:normal;fill:#ffffff;font-family:Impact;" id="text-logo-midvliet">Midvliet</text>
  <text x="256.350769" y="918.831421" transform="scale(0.81225,0.81225)" style="font-size:90;font-weight:normal;fill:#a1bcd1;font-family:Rage Italic;" id="text-logo-t">T</text>
  <text x="287.590942" y="919.203003" transform="scale(0.81225,0.81225)" style="font-size:90;font-weight:normal;fill:#a1bcd1;font-family:Rage Italic;" id="text-logo-v">V</text>
   <g
     id="g3002"><g
       transform="matrix(0.665675,-0.128524,0.117376,0.728908,-98.22648,229.4041)"
       id="g2972"><path
         style="fill:#ffffff;fill-opacity:1.0000000;fill-rule:evenodd;stroke:#000000;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000"
         d="M 219.68338,735.02614 C 219.68338,735.93158 218.84011,737.09837 218.38905,737.85014 C 217.93798,738.60191 217.48585,738.99195 217.33005,739.61513 C 217.17425,740.23831 216.57872,741.40135 216.15339,741.96846 C 215.72806,742.53556 215.35236,743.33520 214.97672,744.08646 C 214.60108,744.83773 214.62372,745.72457 214.62372,746.67512 C 214.62372,747.62567 214.50606,748.81591 214.50606,749.85212 C 214.50606,750.88834 214.38839,752.10121 214.38839,753.02912 C 214.38839,753.95702 214.92956,754.81744 215.21206,755.38245 C 215.49456,755.94746 216.40002,755.67096 216.74172,755.50011 C 217.08342,755.32926 217.39163,755.27110 217.68305,755.26478 C 217.97447,755.25846 217.80072,758.46842 217.80072,759.85377 C 217.80072,761.23912 217.80072,761.64589 217.80072,762.44244 C 217.80072,763.23899 217.91056,763.93296 218.03605,764.56044 C 218.16155,765.18792 218.54397,765.53903 219.09505,766.09010 C 219.64613,766.64118 220.16868,766.41384 220.50705,765.73710 C 220.84542,765.06035 220.91484,764.59091 221.21305,763.85444 C 221.51127,763.11797 221.33071,765.73925 221.33071,766.91377 C 221.33071,768.08829 221.38861,769.73212 221.56605,770.79676 C 221.74349,771.86140 221.52414,772.58758 221.68371,773.38542 C 221.84328,774.18326 222.03671,774.58580 222.03671,775.38576 C 222.03671,776.18572 222.46171,776.85039 222.62505,777.50375 C 222.78839,778.15711 223.15584,778.68558 223.33105,779.38642 C 223.50626,780.08726 223.59135,780.96602 223.91938,781.62208 C 224.24741,782.27815 224.34036,782.63140 224.86071,783.15175 C 225.38106,783.67210 226.10643,782.75787 226.27271,782.09275 C 226.43899,781.42764 226.54177,780.46267 226.39037,779.85708 C 226.23897,779.25150 226.80738,778.61919 226.86104,778.44508 C 226.91470,778.27097 226.58401,780.78360 226.86104,782.44575 C 227.13807,784.10790 227.82570,785.15106 228.03771,786.21107 C 228.24972,787.27108 228.39071,788.17700 228.39071,788.91740 C 228.39071,789.65779 229.11067,790.23966 229.33204,790.68240 C 229.55341,791.12514 230.43222,791.27073 230.97937,791.27073 C 231.52652,791.27073 231.96358,791.27073 232.50903,791.27073 C 233.05447,791.27073 233.47445,792.72288 233.80337,793.27107 C 234.13228,793.81926 234.41530,794.70666 235.09770,795.38906 C 235.78010,796.07146 236.13378,796.67193 236.86269,797.03639 C 237.59161,797.40085 238.09763,797.60988 238.62769,797.74239 C 239.15775,797.87491 239.51670,797.81756 240.15736,797.97773 C 240.79802,798.13789 241.10745,797.34561 241.21636,796.80106 C 241.32527,796.25651 241.21636,795.43749 241.21636,794.80073 C 241.21636,794.16397 241.19168,793.29002 241.09869,792.91807 C 241.00570,792.54612 241.16335,792.34434 240.98102,792.56507 C 240.79869,792.78580 242.22204,795.84410 242.51069,796.56573 C 242.79934,797.28735 243.25476,798.22461 243.68735,798.80139 C 244.11994,799.37817 244.55751,799.22484 245.21702,799.38972 C 245.87653,799.55460 246.04068,799.25541 246.04068,798.33073 C 246.04068,797.40605 244.98168,795.98051 244.98168,794.91840 C 244.98168,793.85629 244.35240,792.51894 244.15802,791.74140 C 243.96363,790.96386 244.15802,790.34547 244.15802,789.38807 C 244.15802,788.43067 244.69309,789.28156 244.98168,789.85874 C 245.27027,790.43593 245.26446,791.49088 245.80535,792.21207 C 246.34623,792.93325 247.01648,793.08596 247.68801,792.91807 C 248.35955,792.75018 247.80568,791.07140 247.80568,790.44707 C 247.80568,789.82273 247.45268,788.71269 247.45268,787.74074 C 247.45268,786.76879 247.39523,786.38619 248.15868,785.62274 C 248.92213,784.85930 249.40813,783.71217 249.80601,782.91641 C 250.20389,782.12065 250.08724,781.08549 250.27668,780.32775 C 250.46611,779.57000 251.42183,778.97877 251.80634,778.20975 C 252.19085,777.44073 252.68357,776.78148 253.10067,775.73875 C 253.51777,774.69602 253.68901,773.22889 253.68901,772.20876 C 253.68901,771.18864 253.60952,770.40869 253.80667,769.62010 C 254.00382,768.83151 253.80667,767.63621 253.80667,766.91377 C 253.80667,766.19133 253.81612,765.28533 254.27734,766.20777 C 254.73856,767.13021 255.44705,767.96929 255.92467,768.20810 C 256.40229,768.44691 256.16000,765.83333 256.16000,765.38410 C 256.16000,764.93487 256.16000,764.11677 256.16000,763.26610 C 256.16000,762.41542 256.78868,762.56010 257.57200,762.56010 C 258.35533,762.56010 258.45841,761.60311 258.63100,760.91277 C 258.80359,760.22244 259.04972,759.28986 259.21933,758.44178 C 259.38894,757.59371 259.21933,756.58905 259.21933,755.73545 C 259.21933,754.88185 259.21933,753.97044 259.21933,753.14678 C 259.21933,752.32311 259.21933,751.83430 259.21933,750.79345 C 259.21933,749.75260 258.75533,748.33578 258.27800,747.38112 C 257.80067,746.42646 257.68967,746.49316 257.68967,745.49846 C 257.68967,744.50377 257.40621,744.17918 258.04267,745.02779 C 258.67913,745.87641 259.17486,744.85268 259.33700,744.20413 C 259.49914,743.55558 259.45467,742.77451 259.45467,741.85080 C 259.45467,740.92709 259.77137,739.78668 259.57233,738.79147 C 259.37329,737.79626 259.45467,736.88400 259.45467,735.73214 C 259.45467,734.58028 259.19945,733.04408 258.98400,731.96681 C 258.76855,730.88954 258.31312,730.23078 257.92500,729.26048 C 257.53688,728.29018 257.05290,727.50935 256.51300,726.78948 C 255.97310,726.06962 255.41058,726.21971 254.86567,726.08348 C 254.32075,725.94726 253.90490,725.34321 253.57134,725.25982 C 253.23778,725.17643 253.10067,726.45291 253.10067,727.02482 C 253.10067,727.59673 253.23513,727.94931 253.68901,728.55448 C 254.14289,729.15966 254.10828,729.48094 253.80667,730.08415 C 253.50506,730.68737 253.00958,730.88124 252.51234,731.37848 C 252.01509,731.87572 253.43168,731.75539 253.80667,731.84914 C 254.18166,731.94289 254.39501,732.75711 254.39501,733.37881 C 254.39501,734.00051 254.22320,734.70611 253.80667,735.26147 C 253.39014,735.81683 252.95953,736.22628 252.51234,736.67347 C 252.06514,737.12066 251.19586,736.90880 250.51201,736.90880 C 249.82816,736.90880 248.99888,736.50111 248.27635,736.32047 C 247.55382,736.13983 246.82721,735.71357 246.15835,735.37914 C 245.48949,735.04471 245.34727,735.55153 245.21702,736.20280 C 245.08677,736.85407 245.33468,737.39256 245.33468,738.08547 C 245.33468,738.77838 245.33468,739.61513 245.33468,740.32113 C 245.33468,741.02713 245.33468,741.52581 245.33468,742.32146 C 245.33468,743.11712 244.97655,743.62094 244.51102,744.08646 C 244.04549,744.55198 243.23728,744.73304 242.74602,745.02779 C 242.25476,745.32255 241.55666,745.38079 240.74569,745.38079 C 239.93472,745.38079 239.11629,745.41509 238.27469,744.91013 C 237.43309,744.40517 236.90171,743.69318 236.74503,742.90980 C 236.58835,742.12642 236.29218,741.77769 236.03903,741.14480 C 235.78587,740.51190 235.60344,741.54533 235.33303,742.08613 C 235.06262,742.62694 234.56317,743.16525 234.39170,743.85113 C 234.22023,744.53701 233.45532,744.43946 232.74437,744.43946 C 232.03342,744.43946 232.02919,743.86947 232.27370,743.38046 C 232.51821,742.89145 230.89986,743.59672 230.39104,743.85113 C 229.88222,744.10554 229.65275,744.08646 228.86137,744.08646 C 228.06999,744.08646 227.72439,743.65687 227.56704,743.02746 C 227.40969,742.39806 228.27304,742.15001 228.27304,741.49780 C 228.27304,740.84559 226.43118,740.65493 226.03737,740.55647 C 225.64356,740.45801 224.88226,739.01629 224.62538,738.67380 C 224.36850,738.33130 224.31730,737.67686 224.15471,737.02647 C 223.99211,736.37608 223.52688,735.90843 222.97805,735.49681 C 222.42922,735.08519 222.06132,734.60468 221.80138,734.08481 C 221.54144,733.56494 221.04329,733.20905 220.62472,732.79048 C 220.20615,732.37191 220.16408,731.97684 219.68338,731.49614 C 219.20267,731.01544 219.68338,734.12070 219.68338,735.02614 z "
         id="path2234"
         sodipodi:nodetypes="czzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz" /><path
         style="fill:#ffffff;fill-opacity:1.0000000;fill-rule:evenodd;stroke:#000000;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000"
         d="M 224.15471,736.43814 C 224.04908,735.70461 224.34387,735.49681 225.33138,735.49681 C 226.09279,735.49681 226.59726,735.93903 226.97871,736.32047 C 227.39488,736.73665 227.71292,737.31824 227.92004,737.73247 C 228.37177,738.63593 228.67519,737.41820 228.74370,737.14414 C 228.87403,736.62283 228.86137,735.89831 228.86137,735.37914 C 228.86137,734.91723 229.08455,734.36877 229.21437,733.84947 C 229.38076,733.18394 229.44516,732.46021 229.56737,731.84914 C 229.70737,731.14915 230.18385,730.64433 230.62637,730.20181 C 231.14509,729.68309 231.33414,729.29734 231.80303,728.67215 C 232.19140,728.15432 232.43556,727.86685 232.97970,727.73082 C 233.85404,727.51223 234.00384,727.81362 234.50936,728.31915 C 235.14022,728.95000 235.21515,729.28984 236.03903,729.49581 C 236.61622,729.64011 237.35415,729.48542 237.80403,729.26048 C 238.40272,728.96114 239.14978,728.71813 239.80436,728.55448 C 240.54959,728.36817 241.15260,727.70386 241.80469,727.37782 C 242.38460,727.08786 242.69711,726.36773 243.09902,725.96582 C 243.62381,725.44102 243.88581,725.06136 244.39335,724.55382 C 244.92719,724.01999 245.34191,723.55004 245.92302,723.25949 C 246.23539,723.10330 247.37746,724.40338 247.45268,724.55382 C 247.83937,725.32719 248.25110,726.03299 248.62935,726.78948 C 248.96299,727.45678 249.25709,727.92730 249.57068,728.55448 C 250.01415,729.44143 250.67984,728.85732 250.98268,728.55448 C 251.44349,728.09367 251.73252,727.64312 252.04168,727.02482 C 252.27858,726.55101 252.50825,725.98217 252.63001,725.49515 C 252.87716,724.50652 253.17846,726.27698 253.21834,726.43648 C 253.37029,727.04426 253.42661,727.62257 253.57134,728.20148 C 253.73261,728.84655 254.39501,728.70311 254.39501,729.49581 C 254.39501,730.01758 253.48726,730.59685 253.10067,730.79015 C 252.38603,731.14747 251.90426,731.57946 252.98301,731.84914 C 253.73155,732.03628 253.94278,732.22058 254.39501,732.67281 C 254.74425,733.02205 254.62920,733.85404 254.51267,734.32014 C 254.34263,735.00031 254.15181,735.15167 253.80667,735.49681 C 253.30920,735.99428 253.14342,736.28841 252.63001,736.67347 C 252.12932,737.04899 251.70349,737.02647 250.98268,737.02647 C 250.33738,737.02647 249.70815,737.06084 249.10001,736.90880 C 248.49693,736.75803 247.91582,736.70100 247.33501,736.55580 C 246.79258,736.42020 246.01781,736.55580 245.45235,736.55580 C 244.94285,736.55580 244.55978,736.16835 244.15802,735.96747 C 243.74451,735.76072 243.28880,734.69085 243.09902,734.43781 C 242.61507,733.79254 242.58356,733.39753 242.04002,732.67281 C 241.69854,732.21750 241.45169,732.01661 241.45169,731.37848 C 240.94861,730.70770 241.18438,733.03604 240.98102,733.84947 C 240.80070,734.57077 240.52530,734.88855 240.15736,735.37914 C 239.78308,735.87817 239.15716,736.27637 238.62769,736.67347 C 238.11157,737.06056 237.59989,737.73009 237.33336,738.08547 C 237.03733,738.48018 236.82932,738.82484 236.50969,739.14447 C 236.10137,739.55279 236.05125,740.15460 235.92136,740.67413 C 235.74911,741.36313 235.92530,741.84686 235.45070,742.32146 C 234.98018,742.79198 234.68063,743.27326 234.39170,743.85113 C 234.05871,744.51711 233.55884,744.73823 232.97970,745.02779 C 232.34252,745.34638 232.13980,745.13734 231.68537,744.91013 C 230.97909,744.55699 232.00129,743.85113 230.74404,743.85113 C 230.25767,743.85113 229.47563,744.19765 228.97904,744.32179 C 228.32714,744.48477 227.53815,744.30735 227.09637,744.08646 C 226.28545,743.68100 226.34603,743.46915 226.74337,742.67446 C 227.14677,741.86766 227.91704,741.93680 226.86104,741.14480 C 226.05964,740.54375 225.13107,740.74418 224.62538,739.73280 C 224.54693,739.53669 224.46849,739.34058 224.39004,739.14447 C 224.13545,738.50800 224.19903,737.79207 224.03704,737.14414 C 223.97918,736.91268 224.11549,736.67347 224.15471,736.43814 z M 236.98036,747.49879 C 237.31854,748.30632 238.83352,748.52100 239.92202,748.79312 C 241.13363,749.09602 242.28445,749.08274 243.33435,748.55779 C 244.08651,748.18171 244.28322,747.83672 244.62868,747.14579 M 236.74503,755.85311 C 236.74696,755.85215 236.24815,757.74915 235.92136,759.38311 C 235.72772,760.35132 233.26730,764.10284 234.62703,764.44277 M 240.03969,758.79478 C 239.74704,760.25801 238.90474,762.92979 240.62802,763.61910 M 246.62902,757.14744 C 246.50886,757.74822 247.61194,757.97821 247.80568,758.55944 C 248.20104,759.74552 247.62536,761.14047 248.15868,762.20711"
         id="path2970"
         sodipodi:nodetypes="csssssssssssssssssssssssssssssssssssssssscssssssssssssssss" /></g><g
       transform="matrix(0.786320,0.000000,0.000000,0.909334,-40.58485,79.10544)"
       id="g2220"><path
         style="fill:#ff0000;fill-opacity:1.0000000;fill-rule:evenodd;stroke:#000000;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000"
         d="M 216.85939,658.18990 C 216.24164,658.13107 214.70489,657.22849 214.38839,657.95457 C 211.29099,665.06032 206.09132,684.47810 207.21074,687.72420 C 208.68795,692.00781 213.59711,703.41591 215.91806,708.31584 C 216.12459,708.75187 217.33006,708.13934 217.80072,708.08051"
         id="path1489"
         sodipodi:nodetypes="cssss" /><path
         style="fill:#ff0000;fill-opacity:1.0000000;fill-rule:evenodd;stroke:#000000;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000"
         d="M 218.32413,707.96304 C 216.47941,708.96147 209.00542,685.99750 209.00542,685.99750 C 209.00542,685.99750 217.41119,653.58700 220.32099,652.38358 C 222.23350,651.59262 243.95059,670.68820 243.95059,670.68820 C 243.95059,670.68820 246.69628,698.31152 245.28183,698.31152 C 233.97329,698.31151 228.33006,702.54752 218.32413,707.96304 z "
         id="path1479"
         sodipodi:nodetypes="ccscss" /><path
         style="fill:#ffff00;fill-opacity:1.0000000;fill-rule:evenodd;stroke:#000000;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000"
         d="M 212.99915,681.67096 C 216.62642,678.73276 225.16276,675.85468 225.17530,675.56269 C 225.22426,674.42333 222.09598,666.13977 220.32099,661.36948 C 216.11538,666.95997 214.02777,674.08013 212.99915,681.67096 z "
         id="path1481"
         sodipodi:nodetypes="cscc" /><path
         style="fill:#ffff00;fill-opacity:1.0000000;fill-rule:evenodd;stroke:#000000;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000"
         d="M 231.75424,672.92039 C 232.21741,673.66931 237.37838,672.34552 241.07296,672.58758 C 237.25630,668.24758 234.02797,663.55458 227.15198,660.27357 C 228.68607,664.48918 230.75167,671.29930 231.75424,672.92039 z "
         id="path1483"
         sodipodi:nodetypes="cccs" /><path
         style="fill:#ffff00;fill-opacity:1.0000000;fill-rule:evenodd;stroke:#000000;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000"
         d="M 229.30689,697.64590 C 225.97878,699.42089 222.65067,701.19589 219.32256,702.97088 C 216.60623,698.65106 215.06657,694.21358 213.99758,689.65843 C 217.97786,686.84463 222.07580,684.73682 226.64441,683.33502 C 228.94390,688.22298 229.47840,693.11094 229.30689,697.64590 z "
         id="path1485"
         sodipodi:nodetypes="ccccc" /><path
         style="fill:#ffff00;fill-opacity:1.0000000;fill-rule:evenodd;stroke:#000000;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000"
         d="M 234.39654,681.45581 C 235.71671,685.97353 236.79837,694.94433 236.80698,696.54998 C 236.80934,696.99082 243.30134,696.39134 243.36226,695.58846 C 243.49247,693.87212 243.11021,685.05566 243.11020,680.57505 C 243.11020,679.74302 234.11748,680.50086 234.39654,681.45581 z "
         id="path1487"
         sodipodi:nodetypes="cssss" /></g></g>
  

  <path style="fill:#000000;fill-opacity:0.0000000;stroke:none" d="M 331.18750,199.37500 C 392.27152,397.94322 416.35701,631.98209 395.53125,779.37500 L 755.09572,779.37500 L 754.98100,733.58113 L 1049.2188,733.90599 L 1049.2188,199.37500 L 331.18750,199.37500 z " id="rect4253" sodipodi:nodetypes="ccccccc" />
  
  <flowRoot style="font-size:36.000000;font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;text-align:start;line-height:113%;writing-mode:lr;text-anchor:start;fill:#ffffff;fill-opacity:1.0000000;stroke:none;stroke-width:1.0000000px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1.0000000;font-family:Syntax" id="flowRoot7074"><flowRegion id="flowRegion7076"><use x="0" y="0" xlink:href="#rect4253" id="use7078" /></flowRegion><xsl:apply-templates select="/article/para" /></flowRoot>
  <xsl:if test="/article/safebox = '1'">
     <rect width="940" height="695" x="100" y="88.75" style="fill:none;stroke:#000000;" id="safebox" />
   </xsl:if>
  </svg>
</xsl:template>
</xsl:stylesheet>
